<template lang="pug">
h2( :class='{ "is-flex is-align-items-center is-justify-content-flex-start": horizontal }' )
	span {{ text[0] }}
	br( v-if='!horizontal' )
	span( v-else ) &nbsp;
	span.transparent( v-html='text[1]' )
</template>

<script>
export default {
	props: {
		content: {
			type: String,
			default: ""
		},
		horizontal: Boolean
	},
	computed: {
		text() {
			return this.content.split("|")
		}
	}
}
</script>

<style lang="scss" scoped>
h2 {
	font-size: 3.6875rem;
	font-weight: 900;
	line-height: 100%;
	letter-spacing: .03rem;
	margin-bottom: 1.6875rem;
	position: relative;
	&::before,
	&::after {
		display: block;
		content: "";
		height: 3px;
		background: $danger-light;
		position: absolute;
		top: 1.8rem;
	}
	&::before {
		width: .6875rem;
		right: calc(100% + 1.1875rem);
	}
	&::after {
		width: 2.125rem;
		right: calc(100% + 2.1875rem);
	}
	&.is-flex {
		&::before,
		&::after {
			margin: auto 0;
			top: 0;
			bottom: 0;
		}
	}

	@include max_tablet {
		font-size: 2.0625rem;
		&::before,
		&::after {
			height: .125rem;
			top: unset!important;
			bottom: calc(100% + 1rem)!important;
		}

		&::before {
			width: .5rem;
			left: 1.2rem;
		}
		&::after {
			width: 1rem;
			left: 0;
		}
	}
}

$stroke_color: rgba($color: #fff, $alpha: .7);
.transparent {
	color: rgba($color: #000, $alpha: .9); /* Unfortunately you can't use transparent here … */
	text-shadow:
		-.75px -.75px 0 $stroke_color,  
		.75px -.75px 0 $stroke_color,
		-.75px .75px 0 $stroke_color,
		.75px .75px 0 $stroke_color;
}

@supports((text-stroke: 1.5px $stroke_color) or (-webkit-text-stroke: 1.5px $stroke_color)) {
	.transparent {
		color: transparent;
		-webkit-text-stroke: 1.5px $stroke_color;
		text-stroke: 1.5px $stroke_color;
		text-shadow: none;
	}
}
</style>